import { EN_AppEntities } from '@app_consts';
import { AppBaseEntity } from './generic/app.baseentity';

export class WindreamSearchItemToWindreamSearchToDepartment extends AppBaseEntity {
    typeName = EN_AppEntities.WindreamSearchItemToWindreamSearchToDepartment;
    get entitytitle(): string {  //is used for messages
        return this.entityId ? `Windream Suchfeld"${this._name}"` : 'Neues Windream Suchfeld';
    }
    windreamSearchItemToWindreamSearchToDepartmentId: number;
    windreamSearchToDepartmentId: number;
    seq: number;
    departmentId: number;
    windreamSearchItemId: number;
    windreamSearchItemName: string;
    windreamSearchItemCaption: string;
    windreamSearchItemPlaceHolder: string;
    windreamSearchItemSearchTemplate: string;
    windreamSearchItemConnectedList: string;
    windreamSearchItemComment: string;
    get _name(): string {
        return this.windreamSearchItemName;
    }

    public get entityId() {
        return this.windreamSearchItemToWindreamSearchToDepartmentId;
    }

    public set entityId(value) {
        this.windreamSearchItemToWindreamSearchToDepartmentId = value;
    }

}
